Suse 10 and OAS 10.1.2.0.2-certification, The Oracle at Delphi

Simple question:  is Oracle Application Server 10.1.2.0.2 with Forms and Reports certified on Suse Linux 10.  The customer is forced to move to Suse 10, and is not quite happy to upgrade to 10.1.2.3, for that could have numerous consequences for Forms, Designer, Java etc.

The OTN-note about this implies it is not certified. But when you read this thoroughly, there’s an escape:

72     “Oracle Identity Management and OracleAS Metadata Repository” and “OracleAS Metadata Repository” installation types are not supported due to the fact that the 10gR1 database that comes with seeded Metadata Repository is not supported on this platform.

73     SLES 10 is supported with patchset 10.1.2.3 and higher.  For additional information regarding installation, applicable patches, and operating system requirements please refer to MetaLink note number 947193.1 on My Oracle Support.

What it seems to be saying: only the infrastructure is not supported, the middle-tier such as Forms and Reports, may be supported. Let’s see what the note 947193.1 says about this:

As per the footnotes within Table 1 of the OTN Certification Guide, the following installation types for the Oracle Application Server 10g Infrastructure are not supported on OEL 5, RHEL 5 or SLES 10:

– Identity Management and Metadata Repository (co-located Infrastructure)
– Metadata Repository (non-colocated with a 10.1 Database)

This is because the Oracle Database Server 10g release 1 (10.1) is not certified on these operating systems. If requiring these Infrastructure installation types with an Oracle Database, the recommendation is to install Oracle Database Server 10g Release 2 (10.2). After this the Metadata Repository Creation Assistant (MRCA) version 10.1.2.0.3 can be run, followed by an Identity Management installation type. (Alternatively, the MRCA 10.1.4.0.1 and Identity Management 10.1.4.0.1 may be installed for the non-colocated Infrastructure with Oracle Database 10.2).

Therefore, when using Oracle Application Server 10g Release 2 (10.1.2) media, only the middle-tier and Identity Management installation types are certified/supported on operating system versions where cert… (?)  —> this is where the note ends…

So I thought it’s not very clear yet – especially for the version-numbers I am interesed in, and mailed this to Oracle (certadmn_us@oracle.com).

The first answer from Oracle (Delphi I suppose):

If you have Application Server 10.1.2.0.2, to us SLES 10 you must patch
it to 10.2.0.3, to comply with certification.
This means it was built on 10.1.2.0.2 patch 3, not on 10.1.2.0.2.
The statement is
“Oracle Identity Management and OracleAS Metadata Repository” and
“OracleAS Metadata Repository” installation types are not supported due
to the fact that the 10gR1 database that comes with seeded Metadata
Repository is not supported on this platform.
Not the Application Server.

Especially the last sentence is intriging. The other stuff, like the sentence about 10.2.0.3, is quite confusing.

Next try, another questions to Delphi:

1. Is the application-server (middle-tier) 10.1.2.0.2 running Forms and Reports, WITHOUT Identity-management or Meta-data Repository, supported on Suse 10?
2. If yes, is it compatable with a higher Identity-management and Meta-data Repository version e.g. 10.1.2.3.

The answer:

1. Yes they are.
2. You will need to contact support as I do not have that information for Certify.

O.k. Now we are getting somewhere.. Middle-tier is supported on Suse 10!

So, next thing to do, is going to install the infrastructure (10.1.2.3) with a 10.2-database on one server (not necessary though), and the middle-tiers on the other servers, and it should all be supported and working.  Sometimes it’s hard to answer simple questions…

By |2010-02-16T17:14:15+00:00February 16th, 2010|Categories: App. Server|Tags: , |0 Comments

About the Author:

https://www.jobacle.nl

Leave A Comment

This site uses Akismet to reduce spam. Learn how your comment data is processed.

X